﻿@model IEnumerable<SYM.DataAccessLayer.v_report_route4source>

@{
    ViewBag.Title = SYM.Localization.Resources.Views.Stats.Info.InfoTitle;
    ViewBag.Page = "RealTime Statistics";
}

<div class="row">
    <div class="col-md-12">
        <div class="portlet light">
            <div class="portlet-title">
                <div class="caption">
                    <i class="fa fa-cogs font-green-sharp"></i>
                    <span class="caption-subject font-green-sharp bold uppercase">@ViewBag.Title</span>
                </div>
            </div>
            <div class="portlet-body flip-scroll">
                <div class="row">
                    <div class="col-lg-3 col-md-3 col-sm-6 col-xs-12">
                        <div class="dashboard-stat green-meadow">
                            <div class="visual">
                                <i class="fa fa-map-signs"></i>
                            </div>
                            <div class="details">
                                <div class="number">
                                    <span data-counter="counterup" data-value="@ViewBag.counterRoute">0</span>
                                </div>
                                <div class="desc"> @SYM.Localization.Resources.Views.Stats.Info.Box1 </div>
                            </div>
                            <a class="more" href="@Url.Action("Index", "Route")">
                                @SYM.Localization.Resources.Views.Stats.Info.ViewMore
                                <i class="m-icon-swapright m-icon-white"></i>
                            </a>
                        </div>
                    </div>
                    <div class="col-lg-3 col-md-3 col-sm-6 col-xs-12">
                        <div class="dashboard-stat blue-madison">
                            <div class="visual">
                                <i class="fa fa-globe"></i>
                            </div>
                            <div class="details">
                                <div class="number">
                                    <span data-counter="counterup" data-value="@ViewBag.counterMntn">0</span>
                                </div>
                                <div class="desc"> @SYM.Localization.Resources.Views.Stats.Info.Box2 </div>
                            </div>
                            <a class="more" href="@Url.Action("Index", "Mountain")">
                                @SYM.Localization.Resources.Views.Stats.Info.ViewMore
                                <i class="m-icon-swapright m-icon-white"></i>
                            </a>
                        </div>
                    </div>
                    <div class="col-lg-3 col-md-3 col-sm-6 col-xs-12">
                        <div class="dashboard-stat yellow-lemon">
                            <div class="visual">
                                <i class="fa fa-comments"></i>
                            </div>
                            <div class="details">
                                <div class="number">
                                    <span data-counter="counterup" data-value="@ViewBag.counterMntnRange">0</span>
                                </div>
                                <div class="desc"> @SYM.Localization.Resources.Views.Stats.Info.Box3 </div>
                            </div>
                            <a class="more" href="@Url.Action("Index", "MountainRange")">
                                @SYM.Localization.Resources.Views.Stats.Info.ViewMore
                                <i class="m-icon-swapright m-icon-white"></i>
                            </a>
                        </div>                     
                    </div>
                    <div class="col-lg-3 col-md-3 col-sm-6 col-xs-12">
                        <div class="dashboard-stat yellow-mint">
                            <div class="visual">
                                <i class="fa fa-comments"></i>
                            </div>
                            <div class="details">
                                <div class="number">
                                    <span data-counter="counterup" data-value="@ViewBag.counterMntnGroup">0</span>
                                </div>
                                <div class="desc"> @SYM.Localization.Resources.Views.Stats.Info.Box4 </div>
                            </div>
                            <a class="more" href="@Url.Action("Index", "MountainGroup")">
                                @SYM.Localization.Resources.Views.Stats.Info.ViewMore
                                <i class="m-icon-swapright m-icon-white"></i>
                            </a>
                        </div>           
                    </div>
                </div>
            </div>
        </div>
        <!-- END PAGE CONTENT INNER -->
    </div>
</div>
 <!-- BEGIN ROW -->
<div class="row">
    <div class="col-md-12">
        <!-- BEGIN CHART PORTLET-->
        <div class="portlet light bordered">
            <div class="portlet-title">
                <div class="caption">
                    <i class="icon-bar-chart font-green-haze"></i>
                    <span class="caption-subject bold uppercase font-green-haze">@SYM.Localization.Resources.Views.Stats.Info.MapTitle</span>
                    <span class="caption-helper">@SYM.Localization.Resources.Views.Stats.Info.MapSubtitle</span>
                </div>
                <div class="tools">
                    <a href="javascript:;" class="fullscreen"> </a>
                </div>
            </div>
            <div class="portlet-body">
                <div id="chart_10" class="chart" style="height: 400px;"> </div>
            </div>
        </div>
        <!-- END CHART PORTLET-->
    </div>
</div>
<!-- END ROW -->
<div class="portlet light">
    <div class="portlet-title">
        <div class="caption">
            <i class="icon-paper-plane font-green-haze"></i>
            <span class="caption-subject bold font-green-haze uppercase"> External Sites </span>
            <span class="caption-helper">all routes indexed...</span>
        </div>
    </div>
    <div class="portlet-body">
        <div class="row">
            @foreach (var s in Model)
            {
                @: <div class="col-md-3"><p><a rel="nofollow" href="@s.source_url" class="label label-info" target="_blank"> <i class="fa fa-globe"></i> @s.source_name (@s.count___) </a></p></div>
            }
        </div>
    </div>
</div>
<div class="portlet light">
    <div class="portlet-title">
        <div class="caption">
            <i class="icon-paper-plane font-green-haze"></i>
            <span class="caption-subject bold font-green-haze uppercase"> Mountain 4 Region </span>
            <span class="caption-helper">all mountains group by region...</span>
        </div>
    </div>
    <div class="portlet-body" id="mountain4region">
        
    </div>
</div>

@section ExtraPluginJS {
    <script src="~/Content/themes/m1/assets/global/plugins/counterup/jquery.waypoints.min.js" type="text/javascript"></script>
    <script src="~/Content/themes/m1/assets/global/plugins/counterup/jquery.counterup.min.js" type="text/javascript"></script>
    @Scripts.Render("~/content/themes/m1/assets/plugins/stats/js")
}

@section ExtraPageJS {
    <script src="~/Content/themes/m1/assets/pages/scripts/charts-stats-map.js" type="text/javascript"></script>
}
@section ScriptOnReady {
    $("#mountain4region").load("/Info/_Mountain4Region");
}